package ru.yandex.webmaster3.core.semantic.semantic_document_parser.struct_data.wrapper;

import ru.yandex.webmaster3.core.semantic.review_business.auto.model.agg.AggAutoReview;
import ru.yandex.webmaster3.core.semantic.review_business.auto.model.agg.impl.json.AggAutoReviewJsonConversions;
import ru.yandex.webmaster3.core.semantic.semantic_document_parser.struct_data.JsonStructData;

import java.util.Set;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 13.11.13
 * Time: 6:54
 */
public class AggAutoReviewWrapper extends JsonStructData {

    private final AggAutoReview review;

    public AggAutoReviewWrapper(final AggAutoReview review) {
        this.review=review;
    }

    @Override
    public Set<String> getEntityTags() {
        return null;
    }

    @Override
    public String toJsonString() {
        return AggAutoReviewJsonConversions.toJsonString(review);
    }

}
